Subject: Re: bug#32502: 27.0.50; Tramp; C-g during asynchronous remote find-file kills Emacs

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Aug 2018 20:03:33 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 29 Aug 2018 18:46:01 +0200
> 
> >   static Lisp_Object
> >   signal_or_quit (Lisp_Object error_symbol, Lisp_Object data, bool keyboard_quit)
> >   {
> >     [...]
> >     if (gc_in_progress || waiting_for_input)  <<<<<<<<<<<<<<<<<<<<<<<<
> >       emacs_abort ();
> >
> > It could be that the reason for that is no longer valid when the
> > signal was raised by another thread, via thread-signal.
> 
> But I haven't done any user input. I've evaluated the code snippet given
> by Gemini, and then I've done nothing. Emacs was idle I believe. And it
> aborted.

That's just it, AFAIR: when Emacs is idle, the waiting_for_input flag
is set.